Index: code/trunk/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _BillboardProjectile_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/weaponsystem/WeaponsystemPrereqs.h"
 
 #include "util/Math.h"
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport BillboardProjectile : public Projectile
+    class _WeaponsystemExport BillboardProjectile : public Projectile
     {
         public:
Index: code/trunk/src/orxonox/objects/weaponsystem/projectiles/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/projectiles/CMakeLists.txt	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/projectiles/CMakeLists.txt	(revision 5693)
@@ -1,3 +1,3 @@
-ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+ADD_SOURCE_FILES(WEAPONSYSTEM_SRC_FILES
   BillboardProjectile.cc
   ParticleProjectile.cc
Index: code/trunk/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/projectiles/LightningGunProjectile.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _LightningGunProjectile_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/weaponsystem/WeaponsystemPrereqs.h"
 
 #include <string>
@@ -38,14 +38,14 @@
 namespace orxonox
 {
-    class _OrxonoxExport LightningGunProjectile : public BillboardProjectile
+    class _WeaponsystemExport LightningGunProjectile : public BillboardProjectile
     {
         public:
             LightningGunProjectile(BaseObject* creator);
             virtual ~LightningGunProjectile() {}
-            
+
             virtual void setMaterial(const std::string& material);
 
         protected:
-            void changeTexture();        
+            void changeTexture();
             unsigned int textureIndex_;
             unsigned int maxTextureIndex_;
Index: code/trunk/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/projectiles/ParticleProjectile.h	(revision 5693)
@@ -30,10 +30,10 @@
 #define _ParticleProjectile_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/weaponsystem/WeaponsystemPrereqs.h"
 #include "BillboardProjectile.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport ParticleProjectile : public BillboardProjectile
+    class _WeaponsystemExport ParticleProjectile : public BillboardProjectile
     {
         public:
Index: code/trunk/src/orxonox/objects/weaponsystem/projectiles/Projectile.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/projectiles/Projectile.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/projectiles/Projectile.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _Projectile_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/weaponsystem/WeaponsystemPrereqs.h"
 
 #include "tools/Timer.h"
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport Projectile : public MovableEntity, public PawnListener
+    class _WeaponsystemExport Projectile : public MovableEntity, public PawnListener
     {
         public:
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/CMakeLists.txt	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/CMakeLists.txt	(revision 5693)
@@ -1,3 +1,3 @@
-ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+ADD_SOURCE_FILES(WEAPONSYSTEM_SRC_FILES
   EnergyDrink.cc
   FusionFire.cc
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/EnergyDrink.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _EnergyDrink_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/weaponsystem/WeaponsystemPrereqs.h"
 
 #include <string>
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport EnergyDrink : public WeaponMode
+    class _WeaponsystemExport EnergyDrink : public WeaponMode
     {
         public:
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/FusionFire.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/FusionFire.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/FusionFire.h	(revision 5693)
@@ -30,10 +30,10 @@
 #define _FusionFire_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/weaponsystem/WeaponsystemPrereqs.h"
 #include "objects/weaponsystem/WeaponMode.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport FusionFire : public WeaponMode
+    class _WeaponsystemExport FusionFire : public WeaponMode
     {
         public:
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/HsW01.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _HsW01_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/weaponsystem/WeaponsystemPrereqs.h"
 
 #include "tools/Timer.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport HsW01 : public WeaponMode
+    class _WeaponsystemExport HsW01 : public WeaponMode
     {
         public:
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LaserFire.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LaserFire.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LaserFire.h	(revision 5693)
@@ -30,10 +30,10 @@
 #define _LaserFire_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/weaponsystem/WeaponsystemPrereqs.h"
 #include "objects/weaponsystem/WeaponMode.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport LaserFire : public WeaponMode
+    class _WeaponsystemExport LaserFire : public WeaponMode
     {
         public:
Index: code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LightningGun.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LightningGun.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/weaponsystem/weaponmodes/LightningGun.h	(revision 5693)
@@ -30,10 +30,10 @@
 #define _LightningGun_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/weaponsystem/WeaponsystemPrereqs.h"
 #include "objects/weaponsystem/WeaponMode.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport LightningGun : public WeaponMode
+    class _WeaponsystemExport LightningGun : public WeaponMode
     {
         public:
Index: code/trunk/src/orxonox/objects/worldentities/Backlight.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/Backlight.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/worldentities/Backlight.h	(revision 5693)
@@ -33,5 +33,5 @@
 
 #include <string>
-#include "interfaces/TimeFactorListener.h"
+#include "tools/interfaces/TimeFactorListener.h"
 #include "FadingBillboard.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/BlinkingBillboard.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/BlinkingBillboard.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/worldentities/BlinkingBillboard.h	(revision 5693)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "Billboard.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/Camera.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/Camera.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/worldentities/Camera.h	(revision 5693)
@@ -33,5 +33,5 @@
 
 #include "util/OgreForwardRefs.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/FadingBillboard.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/FadingBillboard.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/worldentities/FadingBillboard.h	(revision 5693)
@@ -34,5 +34,5 @@
 #include "util/Math.h"
 #include "tools/Timer.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "Billboard.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/ForceField.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/ForceField.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/worldentities/ForceField.h	(revision 5693)
@@ -33,5 +33,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "StaticEntity.h"
 
@@ -43,13 +43,13 @@
         ForceField(BaseObject* creator);
         virtual ~ForceField();
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a CheckPoint object through XML.
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
         virtual void tick(float dt);
 
         inline void setVelocity(float vel)
             { this->velocity_ = vel; }
-    
+
         inline float getVelocity()
             { return velocity_; }
-    
+
         inline void setDiameter(float diam)
             { this->diameter_ = diam; }
@@ -57,5 +57,5 @@
         inline float getDiameter()
             { return diameter_; }
- 
+
         inline void setLength(float l)
             { this->length_ = l; }
Index: code/trunk/src/orxonox/objects/worldentities/MobileEntity.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/MobileEntity.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/worldentities/MobileEntity.h	(revision 5693)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "WorldEntity.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/triggers/PlayerTrigger.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/triggers/PlayerTrigger.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/worldentities/triggers/PlayerTrigger.h	(revision 5693)
@@ -52,7 +52,7 @@
         PlayerTrigger(BaseObject* creator);
         virtual ~PlayerTrigger();
-        
+
         virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a PlayerTrigger object through XML.
-        
+
         /**
         @brief Returns the player that triggered the PlayerTrigger.
@@ -61,5 +61,5 @@
         inline Pawn* getTriggeringPlayer(void) const
             { return this->player_; }
-        
+
         /**
         @brief Checks whether the PlayerTrigger normally returns a ControllableEntity.
@@ -68,8 +68,8 @@
         inline bool isForPlayer(void) const
            { return this->isForPlayer_; }
-            
+
     protected:
         virtual bool isTriggered(TriggerMode::Value mode) = 0;
-        
+
         /**
         @brief Set the player that triggered the PlayerTrigger. This is normally done by classes inheriting vom PlayerTrigger.
@@ -81,13 +81,13 @@
             /**
             @brief Set whether the PlayerTrigger normally is triggered by ControllableEntities.
-            @param isForPlayer Should be true when the PlayerTrigger schould be set to normally be triggered by ControllableEntities, false if not.
+            @param isForPlayer Should be true when the PlayerTrigger should be set to normally be triggered by ControllableEntities, false if not.
             */
         inline void setForPlayer(bool isForPlayer)
            { this->isForPlayer_ = isForPlayer; }
-        
+
     private:
         Pawn* player_; //!< The player that triggered the PlayerTrigger.
-        bool isForPlayer_; //!< Is true when the PlayerTrigger schould be set to normally be triggered by ControllableEntities.
-    
+        bool isForPlayer_; //!< Is true when the PlayerTrigger should be set to normally be triggered by ControllableEntities.
+
     };
 
Index: code/trunk/src/orxonox/objects/worldentities/triggers/Trigger.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 5693)
@@ -36,5 +36,5 @@
 
 #include "tools/BillboardSet.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
 
Index: code/trunk/src/orxonox/orxonox-main.vcproj.user.in
===================================================================
--- code/trunk/src/orxonox/orxonox-main.vcproj.user.in	(revision 5693)
+++ code/trunk/src/orxonox/orxonox-main.vcproj.user.in	(revision 5693)
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioUserFile
+	ProjectType="Visual C++"
+	Version="${VISUAL_STUDIO_VERSION_SIMPLE}.00"
+	ShowAllFiles="false"
+	>
+	<Configurations>
+		<Configuration
+			Name="Debug|${MSVC_PLATFORM}"
+			>
+			<DebugSettings
+				WorkingDirectory="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/$(OutDir)"
+				Environment="Path=${ORXONOX_RUNTIME_LIBRARY_DIRECTORY}"
+				EnvironmentMerge="true"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|${MSVC_PLATFORM}"
+			>
+			<DebugSettings
+				WorkingDirectory="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/$(OutDir)"
+				Environment="Path=${ORXONOX_RUNTIME_LIBRARY_DIRECTORY}"
+				EnvironmentMerge="true"
+			/>
+		</Configuration>
+		<Configuration
+			Name="MinSizeRel|${MSVC_PLATFORM}"
+			>
+			<DebugSettings
+				WorkingDirectory="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/$(OutDir)"
+				Environment="Path=${ORXONOX_RUNTIME_LIBRARY_DIRECTORY}"
+				EnvironmentMerge="true"
+			/>
+		</Configuration>
+		<Configuration
+			Name="RelWithDebInfo|${MSVC_PLATFORM}"
+			>
+			<DebugSettings
+				WorkingDirectory="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/$(OutDir)"
+				Environment="Path=${ORXONOX_RUNTIME_LIBRARY_DIRECTORY}"
+				EnvironmentMerge="true"
+			/>
+		</Configuration>
+	</Configurations>
+</VisualStudioUserFile>
Index: code/trunk/src/orxonox/overlays/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/overlays/CMakeLists.txt	(revision 5692)
+++ code/trunk/src/orxonox/overlays/CMakeLists.txt	(revision 5693)
@@ -2,4 +2,7 @@
   OrxonoxOverlay.cc
   OverlayGroup.cc
+)
+
+SET_SOURCE_FILES(OVERLAYS_SRC_FILES
   OverlayText.cc
   FadeoutText.cc
@@ -7,9 +10,17 @@
 )
 
-ADD_SUBDIRECTORY(console)
 ADD_SUBDIRECTORY(debug)
 ADD_SUBDIRECTORY(hud)
-ADD_SUBDIRECTORY(map)
-ADD_SUBDIRECTORY(notifications)
 ADD_SUBDIRECTORY(stats)
 
+ORXONOX_ADD_LIBRARY(overlays
+  MODULE
+  FIND_HEADER_FILES
+  DEFINE_SYMBOL
+    "OVERLAYS_SHARED_BUILD"
+  PCH_FILE
+    ../OrxonoxPrecompiledHeaders.h
+  LINK_LIBRARIES
+    orxonox
+  SOURCE_FILES ${OVERLAYS_SRC_FILES}
+)
Index: code/trunk/src/orxonox/overlays/FadeoutText.h
===================================================================
--- code/trunk/src/orxonox/overlays/FadeoutText.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/FadeoutText.h	(revision 5693)
@@ -30,13 +30,13 @@
 #define _FadeoutText_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "tools/Timer.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport FadeoutText : public OverlayText, public Tickable
+    class _OverlaysExport FadeoutText : public OverlayText, public Tickable
     {
         public:
Index: code/trunk/src/orxonox/overlays/GUIOverlay.cc
===================================================================
--- code/trunk/src/orxonox/overlays/GUIOverlay.cc	(revision 5692)
+++ code/trunk/src/orxonox/overlays/GUIOverlay.cc	(revision 5693)
@@ -36,4 +36,5 @@
 #include "core/GUIManager.h"
 #include "core/XMLPort.h"
+#include "objects/infos/PlayerInfo.h"
 
 namespace orxonox
@@ -79,3 +80,8 @@
     }
 
+    void GUIOverlay::setGUIName(const std::string& name)
+    {
+        this->guiName_ = name;
+        GUIManager::getInstance().setPlayer(name, orxonox_cast<PlayerInfo*>(this->getOwner()));
+    }
 }
Index: code/trunk/src/orxonox/overlays/GUIOverlay.h
===================================================================
--- code/trunk/src/orxonox/overlays/GUIOverlay.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/GUIOverlay.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _GUIOverlay_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include <string>
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport GUIOverlay : public OrxonoxOverlay
+    class _OverlaysExport GUIOverlay : public OrxonoxOverlay
     {
         public:
@@ -46,5 +46,5 @@
             virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
 
-            inline void setGUIName(const std::string& name) { this->guiName_ = name; }
+            void setGUIName(const std::string& name);
             inline const std::string& getGUIName() const { return this->guiName_; }
 
Index: code/trunk/src/orxonox/overlays/OverlayText.h
===================================================================
--- code/trunk/src/orxonox/overlays/OverlayText.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/OverlayText.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _OverlayText_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include <string>
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport OverlayText : public OrxonoxOverlay
+    class _OverlaysExport OverlayText : public OrxonoxOverlay
     {
     public:
Index: code/trunk/src/orxonox/overlays/OverlaysPrereqs.h
===================================================================
--- code/trunk/src/orxonox/overlays/OverlaysPrereqs.h	(revision 5693)
+++ code/trunk/src/orxonox/overlays/OverlaysPrereqs.h	(revision 5693)
@@ -0,0 +1,88 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+  @file
+  @brief Contains all the necessary forward declarations for all classes and structs.
+*/
+
+#ifndef _OverlaysPrereqs_H__
+#define _OverlaysPrereqs_H__
+
+#include "OrxonoxConfig.h"
+
+//-----------------------------------------------------------------------
+// Shared library settings
+//-----------------------------------------------------------------------
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#  ifdef OVERLAYS_SHARED_BUILD
+#    define _OverlaysExport __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define _OverlaysExport
+#    else
+#      define _OverlaysExport __declspec(dllimport)
+#    endif
+#  endif
+#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _OverlaysExport  __attribute__ ((visibility("default")))
+#else
+#  define _OverlaysExport
+#endif
+
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
+
+namespace orxonox
+{
+    class BarColour;
+    class DebugFPSText;
+    class DebugRTRText;
+    class GUIOverlay;
+    class HUDBar;
+    class HUDNavigation;
+    class HUDRadar;
+    class HUDSpeedBar;
+    class HUDHealthBar;
+    class HUDTimer;
+    class OrxonoxOverlay;
+    class OverlayGroup;
+    class OverlayText;
+    class FadeoutText;
+    class GametypeStatus;
+    class AnnounceMessage;
+    class KillMessage;
+    class DeathMessage;
+
+    class CreateLines;
+    class Scoreboard;
+    class Stats;
+}
+
+#endif /* _OverlaysPrereqs_H__ */
Index: code/trunk/src/orxonox/overlays/debug/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/overlays/debug/CMakeLists.txt	(revision 5692)
+++ code/trunk/src/orxonox/overlays/debug/CMakeLists.txt	(revision 5693)
@@ -1,3 +1,3 @@
-ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+ADD_SOURCE_FILES(OVERLAYS_SRC_FILES
   DebugFPSText.cc
   DebugRTRText.cc
Index: code/trunk/src/orxonox/overlays/debug/DebugFPSText.h
===================================================================
--- code/trunk/src/orxonox/overlays/debug/DebugFPSText.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/debug/DebugFPSText.h	(revision 5693)
@@ -30,12 +30,12 @@
 #define _DebugFPSText_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport DebugFPSText : public OverlayText, public Tickable
+    class _OverlaysExport DebugFPSText : public OverlayText, public Tickable
     {
     public:
Index: code/trunk/src/orxonox/overlays/debug/DebugRTRText.h
===================================================================
--- code/trunk/src/orxonox/overlays/debug/DebugRTRText.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/debug/DebugRTRText.h	(revision 5693)
@@ -30,12 +30,12 @@
 #define _DebugRTRText_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport DebugRTRText : public OverlayText, public Tickable
+    class _OverlaysExport DebugRTRText : public OverlayText, public Tickable
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/AnnounceMessage.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/AnnounceMessage.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/AnnounceMessage.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _AnnounceMessage_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "interfaces/GametypeMessageListener.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport AnnounceMessage : public FadeoutText, public GametypeMessageListener
+    class _OverlaysExport AnnounceMessage : public FadeoutText, public GametypeMessageListener
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/overlays/hud/CMakeLists.txt	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/CMakeLists.txt	(revision 5693)
@@ -1,3 +1,3 @@
-ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+ADD_SOURCE_FILES(OVERLAYS_SRC_FILES
   HUDBar.cc
   HUDNavigation.cc
Index: code/trunk/src/orxonox/overlays/hud/ChatOverlay.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/ChatOverlay.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/ChatOverlay.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _ChatOverlay_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include <list>
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport ChatOverlay : public OverlayText, public ChatListener
+    class _OverlaysExport ChatOverlay : public OverlayText, public ChatListener
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/DeathMessage.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/DeathMessage.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/DeathMessage.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _DeathMessage_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "interfaces/GametypeMessageListener.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport DeathMessage : public FadeoutText, public GametypeMessageListener
+    class _OverlaysExport DeathMessage : public FadeoutText, public GametypeMessageListener
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/GametypeStatus.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/GametypeStatus.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/GametypeStatus.h	(revision 5693)
@@ -30,12 +30,12 @@
 #define _GametypeStatus_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport GametypeStatus : public OverlayText, public Tickable
+    class _OverlaysExport GametypeStatus : public OverlayText, public Tickable
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/HUDBar.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDBar.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/HUDBar.h	(revision 5693)
@@ -32,5 +32,5 @@
 #define _HUDBar_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include <map>
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport BarColour : public BaseObject
+    class _OverlaysExport BarColour : public BaseObject
     {
     public:
@@ -64,5 +64,5 @@
 
 
-    class _OrxonoxExport HUDBar : public OrxonoxOverlay
+    class _OverlaysExport HUDBar : public OrxonoxOverlay
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/HUDHealthBar.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDHealthBar.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/HUDHealthBar.h	(revision 5693)
@@ -30,8 +30,8 @@
 #define _HUDHealthBar_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "util/Math.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 #include "HUDBar.h"
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport HUDHealthBar : public HUDBar, public Tickable
+    class _OverlaysExport HUDHealthBar : public HUDBar, public Tickable
     {
         public:
Index: code/trunk/src/orxonox/overlays/hud/HUDNavigation.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDNavigation.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/HUDNavigation.h	(revision 5693)
@@ -30,13 +30,13 @@
 #define _HUDNavigation_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "util/OgreForwardRefs.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OrxonoxOverlay.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport HUDNavigation : public OrxonoxOverlay, public Tickable
+    class _OverlaysExport HUDNavigation : public OrxonoxOverlay, public Tickable
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/HUDRadar.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDRadar.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/HUDRadar.h	(revision 5693)
@@ -31,5 +31,5 @@
 #define _HUDRadar_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include <map>
@@ -43,5 +43,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport HUDRadar : public OrxonoxOverlay, public RadarListener
+    class _OverlaysExport HUDRadar : public OrxonoxOverlay, public RadarListener
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/HUDSpeedBar.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDSpeedBar.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/HUDSpeedBar.h	(revision 5693)
@@ -31,12 +31,12 @@
 #define _HUDSpeedBar_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "HUDBar.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport HUDSpeedBar : public HUDBar, public Tickable
+    class _OverlaysExport HUDSpeedBar : public HUDBar, public Tickable
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/HUDTimer.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/HUDTimer.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/HUDTimer.h	(revision 5693)
@@ -30,12 +30,12 @@
 #define _HUDTimer_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "overlays/OverlayText.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport HUDTimer : public OverlayText, public Tickable
+    class _OverlaysExport HUDTimer : public OverlayText, public Tickable
     {
     public:
Index: code/trunk/src/orxonox/overlays/hud/KillMessage.h
===================================================================
--- code/trunk/src/orxonox/overlays/hud/KillMessage.h	(revision 5692)
+++ code/trunk/src/orxonox/overlays/hud/KillMessage.h	(revision 5693)
@@ -30,5 +30,5 @@
 #define _KillMessage_H__
 
-#include "OrxonoxPrereqs.h"
+#include "overlays/OverlaysPrereqs.h"
 
 #include "interfaces/GametypeMessageListener.h"
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport KillMessage : public FadeoutText, public GametypeMessageListener
+    class _OverlaysExport KillMessage : public FadeoutText, public GametypeMessageListener
     {
         public:
